# -*- coding: utf-8 -*-

import web

XMLRPC_SERVER = "http://localhost:8081/"
LIMIT = 50 # items per page
COOKIE_LIFE = 7 # days

render = web.template.render("templates/")
web.template.Template.globals['len'] = len

# see init.sql
web.config.db_parameters = {
	"dbn":"sqlite",
	"db":"db.db"
}

urls = (
	'/', 'twootr.views.index',
	
	'/login/', 'twootr.actions.login',
	'/logout/', 'twootr.actions.logout',
	'/register/', 'twootr.actions.register',
	'/home/', 'twootr.views.home',
	'/ajax/', 'twootr.views.ajax',
	
	'/([^/]+)/', 'twootr.views.user',
	'/([^/]+)/([a-zA-Z_]+)/', 'twootr.actions.friendships',
	'/([^/]+)/(\d+)/', 'twootr.views.status',
	
	'/([^/]+)', 'twootr.utils.fix_trailing_slash',
	'/([^/]+)/([a-zA-Z_]+)', 'twootr.utils.fix_trailing_slash',
	'/([^/]+)/(\d+)', 'twootr.utils.fix_trailing_slash',
)

